#!/bin/sh
#
# by k-chinen@is.aist-nara.ac.jp, 1996
#
#
# one hand, split example in .txt and convert it to EPS.
# other hand, substitute example to insertion of EPS.
#

#set -x

rm -f ex_raw.*

gawk 'BEGIN{c=0} \
  /^\[\[E/,/^\]\]E/{k=1;print >>"ex_raw."c} \
  k==0{print} \
  (l==1&&k==0){print"((r\\centerline{\\epsfile{file=ex_raw."c".eps}}))\n";c++} \
  {l=k;k=0}' $1 

for i in ex_raw.*
do
	mktexteps -t8 $i > $i.eps
done

